<?php

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport( 'joomla.application.component.view' );

class ClubmanagementViewMember extends ClubmanagementView
{
	function display($tpl = null)
	{
		JToolBarHelper::custom('#option|extension#com_categories|com_clubmanagement.sections', 'sections', 'sections','COM_CLUBMANAGEMENT_SECTIONS', FALSE);
		JToolBarHelper::divider();

		$cid = JRequest::getVar('cid', NULL);

		switch(JRequest::getVar('task')) {
			case "edit":
				JToolBarHelper::save();
				JToolBarHelper::apply();
				JToolBarHelper::cancel();

				$model = $this->getModel('member');
				$model->setState('limit', 0);
				$model->setState('limitstart', 0);
				$items = $model->getPersonalData($cid[0]);
				$people_id = $items[0]->people_id;

				$people = $this->getModel('people');
				$people = $people->getSingle($items[0]->people_id);
				$this->assignRef('people', $people);


			break;
			case "add":
				JToolBarHelper::save();
				JToolBarHelper::apply();
				JToolBarHelper::cancel();
			break;
			default:
				JToolBarHelper::deleteList();
				JToolBarHelper::editListX();
				JToolBarHelper::addNewX();

				$items = $this->getModel('member')->getPersonalData();
				$people_id = ((is_array($items) && count($items)>0) ? $items[0]->people_id : NULL);
			break;
		}

		$this->assignRef('people_id', $people_id);
		$this->assignRef('items', $items);

		$lists = $this->get( 'Lists');
		$this->assignRef('lists', $lists);

		$pagination = $this->get('Pagination');
		$this->assignRef('pagination',		$pagination);

		$sections=ClubmanagementHelper::getSections();
		$this->assignRef('sections', $sections);

		parent::display($tpl);
	}
	
}
?>