<?php
if (count($this->positions)>0 && $this->params->get('show_positions')) {
?>
	<table id="positions">
		<caption><?php echo JText::_('COM_CLUBMANAGEMENT_POSITIONS');?></caption>
		<thead>
		<tr>
			<th style="width:70px;"><?php echo JText::_('COM_CLUBMANAGEMENT_FROMDATE');?></th>
			<th style="width:70px;"><?php echo JText::_('COM_CLUBMANAGEMENT_UNTILDATE');?></th>
			<th><?php echo JText::_('COM_CLUBMANAGEMENT_POSITIONS');?></th>
			<th><?php echo JText::_('COM_CLUBMANAGEMENT_POSITIONS_DESCRIPTION');?></th>
		</tr>
		</thead>
		<tbody>
<?php
for($i=0; $i<count($this->positions);$i++) {
	$m = $this->positions[$i];
	$d1 = (is_null($m->position_from) ? "" : JFactory::getDate(strtotime($m->position_from))->toFormat('%x'));
	$d2 = (is_null($m->position_until) ? "" : JFactory::getDate(strtotime($m->position_until))->toFormat('%x'));
	$rowClass = (($i%2==0) ? "even" : "odd");
?>
		<tr class="<?php echo $rowClass;?>">
			<td><?php echo $d1;?></td>
			<td><?php echo $d2;?></td>
			<td><?php echo JHTML::link(LinkHelper::createLink('position', $m->positioncategory), $m->positiondescription);?></td>
			<td><?php echo $m->peopledescription;?></td>
		</tr>
<?php
}
?>
		</tbody>
	</table>
<?php
}
?>